Package org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTVirtSpecifier

All Superinterfaces:
  `IASTNode`

    public interface ICPPASTVirtSpecifier
    extends IASTNode

A virt-specifier at the end of a function declaration. There are two virt-specifiers, 'final' and 'override'.

Since:
  5.7
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

Nested Classes
`static class` `ICPPASTVirtSpecifier.SpecifierKind`

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPASTVirtSpecifier` `copy()` Returns a mutable copy of the tree rooted at this node.
`ICPPASTVirtSpecifier` `copy​(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.
`ICPPASTVirtSpecifier.SpecifierKind` `getKind()` Return the kind of this virt-specifier.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Method Detail

#### getKind

    ICPPASTVirtSpecifier.SpecifierKind getKind()

Return the kind of this virt-specifier. The kind is either 'final' or 'override'.

#### copy

    ICPPASTVirtSpecifier copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTNode`

#### copy

    ICPPASTVirtSpecifier copy​(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.